vivus.admin:
  path: '/admin/structure/vivus'
  defaults:
    _title: 'Svg animation'
    _form: '\Drupal\vivus_ui\VivusAdmin'
  requirements:
    _permission: 'administer vivus'
  options:
    _admin_route: TRUE

vivus.add:
  path: '/admin/structure/vivus/add'
  defaults:
    _form: '\Drupal\vivus_ui\Form\VivusForm'
    _title: 'Add animation'
  requirements:
    _permission: 'administer vivus'

vivus.edit:
  path: '/admin/structure/vivus/edit/{vid}'
  defaults:
    _form: '\Drupal\vivus_ui\Form\VivusForm'
    _title: 'Edit animation'
  requirements:
    _permission: 'administer vivus'

vivus.delete:
  path: '/admin/structure/vivus/delete/{vid}'
  defaults:
    _form: '\Drupal\vivus_ui\Form\VivusDelete'
    _title: 'Delete animation'
  requirements:
    _permission: 'administer vivus'

vivus.duplicate:
  path: '/admin/structure/vivus/duplicate/{vid}'
  defaults:
    _form: '\Drupal\vivus_ui\Form\VivusDuplicate'
    _title: 'Duplicate animation'
  requirements:
    _permission: 'administer vivus'

vivus.settings:
  path: '/admin/config/user-interface/vivus'
  defaults:
    _form: '\Drupal\vivus_ui\Form\VivusSettings'
    _title: 'Vivus'
  requirements:
    _permission: 'administer vivus'
